ReflectionClass::getConstant
ReflectionClass::getConstructor
ReflectionClass
PHP Manual

# ReflectionClass::getConstants

Gets constants

### Description

public array ReflectionClass::getConstants ( void )

Gets defined constants from a class.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

An array of constants. Constant name in key, constant value in value.

### See Also

- ReflectionClass::getConstant